最近升级的注意事项

为当前最终发行版之前的所有版本提供支持
回复
头像
avauntage
帖子: 570
注册时间: 2005-09-22 10:15
来自: 北京
送出感谢: 0
接收感谢: 0

最近升级的注意事项

#1

帖子 avauntage » 2006-03-24 14:52

现在Dapper还不是很稳定,升级的时候难免遇到一些问题,经过两天的挣扎,终于从崩溃中重生了,下面是可能遇到的麻烦,仅供参考。

1. 最好是在一个新装的breezy的基础上升级,装的软件越多,出问题的可能性越大。

2. 正常的升级就两个步骤:

$ sudo apt-get update
$ sudo apt-get dist-upgrade

如果没有出什么乱子,恭喜恭喜!

3. 如果出现下面的错误:
dpkg: 解析错误,在“/var/lib/dpkg/status”文件的第“12461”行....

下面的命令也许可以解决问题。
$ sudo dselect update

上面不行的话,再试试
$ sudo dpkg --configure --pending

解决了/var/lib/dpkg/status里面的问题之后再继续:
$ sudo apt-get dist-upgrade

4. 如果出现某个软件包冲突的错误,可以尝试先删除原有的包,比如这个gstreamer0.8-misc,总是出错,就可以先删除之:
$ sudo apt-get --purge remove gstreamer0.8-misc


5. 如果某个包还是装不上,可以来点暴力的,方法如下:
$ sudo dpkg -i --force-all /var/cache/apt/archives/gstreamer0.8-misc_0.8.12-1ubuntu1_i386.deb

6. 装完后,不一定能启动X,这个时候可以试试:
$ sudo dpkg-reconfigure xserver-xorg


7. 要是还进步去X,再试试:
$ sudo dpkg-reconfigure -a

总之,升级到一个测试版,是一件痛苦的事情,哪怕别人已经成功了,也不要轻易的去尝试,尤其是在你的工作机上尝试。
空手把锄头,步行骑水牛;人在桥上过,人流水不流。
头像
karron
帖子: 6226
注册时间: 2005-06-11 14:03
来自: 不明真相的群众
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 karron » 2006-03-24 17:05

不错的文章.

我已经升级失败好几次了,后来也能够进入x,但是由于删除了很多包,心理感觉不爽,还是回到稳定的breezy了,毕竟还是稳定的系统最重要,我可不愿意在一个不稳定的系统中干活.
我的blog,关于技术,软件,linux,vim <---- 所有博客均被河蟹.
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#3

帖子 eexpress » 2006-03-24 18:52

死马当活马的方法 :lol:
● 鸣学
joyolee
帖子: 83
注册时间: 2005-12-24 14:07
送出感谢: 0
接收感谢: 0

#4

帖子 joyolee » 2006-03-24 21:44

说的好,升级了2次都是进不去x,最后放弃,因为还是觉得稳定比较好,打算慢慢等6月份出的正式版
回复

回到 “老旧版本支持”